UPP Docs
Card

Get a card application

GET
/card-applications/{applicationId}

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Path Parameters

applicationId*string

Response Body

Card application

application/json
  1. response
id*string

Application ID (starts with cap_)

order_no*|

Your order number

card_product_id*string|null
cardholder_id*string|null
initial_funding_amount*string

Initial funding, two decimals

status*CardApplicationStatus
  • pending: accepted, being processed by the issuer
  • issued: card issued, see card
  • failed: could not be issued, see failure_reason
  • cancelled: cancelled
Value in"pending""issued""failed""cancelled"
failure_reason*string|null
card*|

The issued card, present only when status is issued

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/card-applications/string'
Example Response
{  "id": "cap_01m5f56pqtmwzxk1dyyevwwy43",  "order_no": "MP01M5F3K68WN1V3CTKZYPZMMFMY",  "card_product_id": "cpd_01JBXA3M6N8Q2R4T6V8W0Y2Z4H",  "cardholder_id": "chd_01m5ergfs354xnjeazkx60hgwv",  "initial_funding_amount": "10.00",  "status": "issued",  "failure_reason": null,  "card": {    "id": "card_01m5f3kfythx2pw4mpscgnsp4x",    "status": "pending_active"  },  "created_at": "2026-10-21T11:29:55.000000Z",  "updated_at": "2026-10-21T11:31:50.000000Z"}